# Program

Property in [YarnProject](/2.5/api/csharp/yarn.unity/yarn.unity.yarnproject.md)

## Summary

Gets the Yarn Program stored in this project.

```csharp
public Program Program
{
            get; }
```

## Remarks

The first time this is called, the program stored in [compiledYarnProgram](/2.5/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.compiledyarnprogram.md) is deserialized and cached. Future calls to this method will return the cached value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.program.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
